#!/usr/bin/python3
if __name__ == '__main__':
  import sys
  import os
  sys.path.insert(0, os.path.abspath('config'))
  import configure
  configure_options = [
    '--CXX_LINKER_FLAGS=-Wl,--no-as-needed',
    '--PETSC_ARCH=s390x-linux-gnu-real-64',
    '--build=s390x-linux-gnu',
    '--includedir=${prefix}/include',
    '--infodir=${prefix}/share/info',
    '--libdir=${prefix}/lib/s390x-linux-gnu',
    '--localstatedir=/var',
    '--mandir=${prefix}/share/man',
    '--prefix=/usr/lib/petscdir/petsc64-3.15/s390x-linux-gnu-real',
    '--runstatedir=/run',
    '--shared-library-extension=64_real',
    '--sysconfdir=/etc',
    '--with-64-bit-indices',
    '--with-blas-lib=-lblas',
    '--with-cc=mpicc',
    '--with-cxx-dialect=C++11',
    '--with-cxx=mpicxx',
    '--with-debugging=0',
    '--with-dependency-tracking=0',
    '--with-fc=mpif90',
    '--with-fftw-include=[]',
    '--with-fftw-lib=-lfftw3 -lfftw3_mpi',
    '--with-fftw=1',
    '--with-hdf5-include=/usr/include/hdf5/openmpi',
    '--with-hdf5-lib=-L/usr/lib/s390x-linux-gnu/hdf5/openmpi -L/usr/lib/s390x-linux-gnu/openmpi/lib -lhdf5 -lmpi',
    '--with-hypre-include=/usr/include/hypre64m',
    '--with-hypre-lib=-lHYPRE64m',
    '--with-hypre=1',
    '--with-lapack-lib=-llapack',
    '--with-maintainer-mode=0',
    '--with-mumps-include=[]',
    '--with-mumps-lib=-ldmumps_64 -lzmumps_64 -lsmumps_64 -lcmumps_64 -lmumps_common_64 -lpord_64',
    '--with-mumps=1',
    '--with-opencl=1',
    '--with-option-checking=0',
    '--with-pic=1',
    '--with-ptscotch-include=/usr/include/scotch',
    '--with-ptscotch-lib=-lptesmumps -lptscotch -lptscotcherr',
    '--with-ptscotch=1',
    '--with-scalapack-lib=-lscalapack-openmpi',
    '--with-scalapack=1',
    '--with-shared-libraries',
    '--with-silent-rules=0',
    '--with-suitesparse-include=/usr/include/suitesparse',
    '--with-suitesparse-lib=-lumfpack -lamd -lcholmod -lklu',
    '--with-suitesparse=1',
    '--with-yaml=1',
    '--with-zoltan-include=/usr/include/trilinos',
    '--with-zoltan-lib=-ltrilinos_zoltan',
    '--with-zoltan=1',
    'CFLAGS=-g -O2 -ffile-prefix-map=/build/petsc-7zRnoB/petsc-3.15.4+dfsg1=. -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -fPIC',
    'CPPFLAGS=-Wdate-time -D_FORTIFY_SOURCE=2',
    'CXXFLAGS=-g -O2 -ffile-prefix-map=/build/petsc-7zRnoB/petsc-3.15.4+dfsg1=. -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -fPIC',
    'FCFLAGS=-g -O2 -ffile-prefix-map=/build/petsc-7zRnoB/petsc-3.15.4+dfsg1=. -flto=auto -ffat-lto-objects -fstack-protector-strong -fPIC -ffree-line-length-0',
    'FFLAGS=-g -O2 -ffile-prefix-map=/build/petsc-7zRnoB/petsc-3.15.4+dfsg1=. -flto=auto -ffat-lto-objects -fstack-protector-strong -fPIC -ffree-line-length-0',
    'LDFLAGS=-Wl,-Bsymbolic-functions -flto=auto -Wl,-z,relro -fPIC',
    'MAKEFLAGS=w',
  ]
  configure.petsc_configure(configure_options)
